@font-face {
    font-family: 'IRANYekanX';
    src:
        url('./IRANYekanX-Thin.woff') format('woff'),
        url('./IRANYekanX-Thin.ttf') format('truetype');
    font-style: normal;
    font-weight: 100;
    font-display: swap;
}

@font-face {
    font-family: 'IRANYekanX';
    src:
        url('./IRANYekanX-UltraLight.woff') format('woff'),
        url('./IRANYekanX-UltraLight.ttf') format('truetype');
    font-style: normal;
    font-weight: 200;
    font-display: swap;
}

@font-face {
    font-family: 'IRANYekanX';
    src:
        url('./IRANYekanX-Light.woff') format('woff'),
        url('./IRANYekanX-Light.ttf') format('truetype');
    font-style: normal;
    font-weight: 300;
    font-display: swap;
}

@font-face {
    font-family: 'IRANYekanX';
    src:
        url('./IRANYekanX-Regular.woff') format('woff'),
        url('./IRANYekanX-Regular.ttf') format('truetype');
    font-style: normal;
    font-weight: 400;
    font-display: swap;
}

@font-face {
    font-family: 'IRANYekanX';
    src:
        url('./IRANYekanX-Medium.woff') format('woff'),
        url('./IRANYekanX-Medium.ttf') format('truetype');
    font-style: normal;
    font-weight: 500;
    font-display: swap;
}

@font-face {
    font-family: 'IRANYekanX';
    src:
        url('./IRANYekanX-DemiBold.woff') format('woff'),
        url('./IRANYekanX-DemiBold.ttf') format('truetype');
    font-style: normal;
    font-weight: 600;
    font-display: swap;
}

@font-face {
    font-family: 'IRANYekanX';
    src:
        url('./IRANYekanX-Bold.woff') format('woff'),
        url('./IRANYekanX-Bold.ttf') format('truetype');
    font-style: normal;
    font-weight: 700;
    font-display: swap;
}

@font-face {
    font-family: 'IRANYekanX';
    src:
        url('./IRANYekanX-ExtraBold.woff') format('woff'),
        url('./IRANYekanX-ExtraBold.ttf') format('truetype');
    font-style: normal;
    font-weight: 800;
    font-display: swap;
}

@font-face {
    font-family: 'IRANYekanX';
    src:
        url('./IRANYekanX-Black.woff') format('woff'),
        url('./IRANYekanX-Black.ttf') format('truetype');
    font-style: normal;
    font-weight: 900;
    font-display: swap;
}

@font-face {
    font-family: 'IRANYekanX';
    src:
        url('./IRANYekanX-ExtraBlack.woff') format('woff'),
        url('./IRANYekanX-ExtraBlack.ttf') format('truetype');
    font-style: normal;
    font-weight: 950;
    font-display: swap;
}
